//------------------------------------------------------------------------------
// container_Out.cpp -   
//   
//------------------------------------------------------------------------------

#include <iostream>
#include "container_atd.h"

//------------------------------------------------------------------------------

using namespace std;

namespace simple_shapes {

//------------------------------------------------------------------------------

  //       
  //  . ,  ,    .
  void Out(shape &s);
  bool Out_rectangle(shape &s);

//------------------------------------------------------------------------------

  //   
  void Out(container &c) {
    cout << "Container contents " << c.len << " elements." << endl;
    for(int i = 0; i < c.len; i++) {
      cout << i << ": ";
      Out(*(c.cont[i]));
    }
  }

//------------------------------------------------------------------------------

  //   ,   
  //      
  void Out_rectangles(container &c) {
    int counter = 0; //  
    cout << "Container contents rectangles:" << endl;
    for(int i = 0; i < c.len; i++) {
      if(Out_rectangle(*(c.cont[i])))
        counter++;
    }
    cout << "We have " << counter << " rectangles\n";
  }

//------------------------------------------------------------------------------

} // end simple_shapes namespace
